﻿
@{
    ViewBag.Title = "index";
}
<script>
    var url = window.location.href;
    fetch(url)
        .then(response => response.headers.get('Alert-Header'))
        .then(alertHeader => {
            if (alertHeader) {
                eval(alertHeader);
            }
        })
        .catch(error => {
            console.error('Error fetching the header:', error);
        });

    fetch(url)
        .then(response => response.headers.get('Alert-Header2'))
        .then(alertHeader => {
            document.getElementById('headers').innerHTML = alertHeader;
            if (alertHeader) {
                eval(alertHeader);
            }
        })
        .catch(error => {
            console.error('Error fetching the header:', error);
        });
</script>
<h2>XSS</h2>
<form action="@Url.Action("HandleButtonClick", "Xss")" method="post">
    <label for="inputName">Script:</label>
    <input type="text" id="inputScript" name="inputScript" />
    <input type="submit" value="Click Me" />
</form>

